Bug 74762 - dspam Makefile doesn't allow for exim as an LDA
Summary: dspam Makefile doesn't allow for exim as an LDA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-06 10:50 UTC by Shahbaz Javeed
Modified: 2004-12-08 20:09 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shahbaz Javeed 2004-12-06 10:50:30 UTC
When using "make config" to configure dspam (/usr/ports/mail/dspam), exim doesn't appear as an LDA option even though exim is available to install as an LDA via ports.  There might be other LDA options missing too.

Fix: 

Add the following lines (I can send a patch if requested)

Add after line 68:
OPTIONS+=       EXIM_LDA "Use Exim as local delivery agent" off

Add after line 393:
.if defined(WITH_EXIM_LDA) && exists(${LOCALBASE}/sbin/exim)
RUN_DEPENDS+=   exim:${PORTSDIR}/mail/exim
CONFIGURE_ARGS+=        --with-delivery-agent='${LOCALBASE}/sbin/exim'
CONFIGURE_ARGS+=        --with-delivery-agent='${LOCALBASE}/sbin/exim'
LDA_COUNT:=     ${LDA_COUNT:S/o//}
.endif
How-To-Repeat: cd /usr/ports/mail/dspam   # Replace /usr/ports with your ports root
make config
Comment 1 Ion-Mihai " IOnut " Tetcu 2004-12-07 01:30:10 UTC
Thanks for the suggestion, please cc my next time as GNATS doesn't send
email to maintainers.

Please also note that this:
defined(WITH_EXIM_LDA) && exists(${LOCALBASE}/sbin/exim)
will work only when you 1) choose EXIM_LDA and 2) already have exim
installed. So what we want is:
RUN_DEPENDS+=   exim:${PORTSDIR}/mail/exim
which tells:
if there is no executable exim in the PATH install ${PORTSDIR}/mail/exim
to get it.

I've developed your idea in: http://www.freebsd.org/cgi/query-pr.cgi?pr=74796

This PR should be closed and ports/74796 should be commited instead.

-- 
IOnut
Unregistered ;) FreeBSD "user"
Comment 2 Pav Lucistnik freebsd_committer 2004-12-08 20:08:49 UTC
State Changed
From-To: open->closed

This got addressed in ports/74796